<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="icon" type="image/png" href="{{url('public/logo', $general_setting->site_logo)}}" />
    <title>{{$general_setting->site_title}}</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="all,follow">

    <style type="text/css">
        * {
            font-size: 11px;
            line-height: 23px;
            font-family: 'Ubuntu', sans-serif;
            text-transform: capitalize;
        }

        .invoice {
            max-width: 550px;
            margin: 0 auto;
        }

        .btn {
            padding: 7px 10px;
            text-decoration: none;
            border: none;
            display: block;
            text-align: center;
            margin: 7px;
            cursor: pointer;
        }

        .btn-info {
            background-color: #999;
            color: #FFF;
        }

        .btn-primary {
            background-color: #6449e7;
            color: #FFF;
            width: 100%;
        }

        small {
            font-size: 11px;
        }

        .receipt-data {
            background: url(http://itechoice.com/pos/public/invoice.jpeg);
            object-fit: cover;
            background-size: cover;
            width: 100%;
            height: 640px;
            margin: 0 auto;
        }

        .receipt-table {
            margin-left: 35px;
            margin-right: 60px;
            padding-top: 105px;
        }

        .invoice_id {
            width: 490px;
            padding-left: 70px;
        }

        .invoice_date {
            text-align: center;
            width: 50px;
        }

        .current_date {
            width: 92%;
            padding-left: 30px;
        }

        .car_no {
            padding-left: 4px;
        }

        .customer_name {
            width: 85%;
            padding-left: 50px;
        }

        .customer_no {
            padding-left: 0px;
        }

        .product_table {
            margin-top: 25px;
            padding-left: 11px;
        }

        .user_table {
            margin-top: -10px;
        }

        .car_table {
            margin-top: -5px;
        }

        .sr_no {
            width: 20px;
        }

        .product_name {
            width: 400px;
        }

        .qty {
            width: 50px;
        }

        .unit_price {
            width: 50px;
        }

        .product_price {
            text-align: center;
            width: 50px;
        }

        .grand_total_table {
            width: 553px;
            position: absolute;
            bottom: 70px;
        }

        .amount_in_word {
            margin-top: 1px;
            padding-left: 75px;
        }

        .grand_total_area {
            width: 3.5%;
        }

        .grand_total_sub_area {
            width: 1%;
        }

        @media print {
            * {
                font-size: 12px;
                line-height: 20px;
            }

            td,
            th {
                padding: 5px 0;
            }

            .invoice {
                max-width: 100%;
                margin: 0 auto;
            }

            .hidden-print {
                display: none !important;
            }

            .receipt-data {
                width: 100%;
                /*margin-top: 4vh;*/
                height: 85vh;
            }

            .receipt-table {
                margin-left: 65px;
                margin-right: 90px;
                padding-top: 65px;
            }

            .invoice_id {
                width: 590px;
                padding-left: 40px;
            }

            .invoice_date {
                text-align: center;
                width: 50px;
                padding-left: 500.9px;
            }

            .current_date {
                width: 92%;
                padding-left: 30px;
            }

            .car_no {
                padding-left: 20px;
            }

            .customer_name {
                width: 85%;
                padding-left: 50px;
            }

            .customer_no {
                padding-left: 25px;
            }

            .product_table {
                margin-top: 40px;
                padding-left: 0px;
                width: 700px;
            }

            .user_table {
                margin-top: 0px;
            }

            .car_table {
                margin-top: 15px;
            }

            .sr_no {
                width: 40px;
            }

            .product_name {
                width: 360px;
            }

            .qty {
                width: 60px;
                text-align: right;
                padding-left: 15px;
                padding-right: 15px;
            }

            .unit_price {
                width: 60px;
                text-align: right;
                padding-left: 15px;
                padding-right: 15px;
            }

            .product_price {
                text-align: center;
                width: 60px;
                text-align: right;
                padding-left: 15px;
                padding-right: 15px;
            }

            .grand_total_table {
                width: 700px;
                position: absolute;
                right: 0;
                bottom: 240px;
            }

            .amount_in_word {
                padding-left: 115px;
            }

            .grand_total_area {
                width: 3.5%;
            }

            .grand_total_sub_area {
                width: 1%;
                padding-left: 250px;
            }

            @page {
                margin: 0;
            }

            /* body {
                padding: 0.5cm;
            } */
        }
    </style>
</head>

<body>

    <div class="invoice">
        <div class="hidden-print">
            <table>
                <tr>
                    <td><a href="http://itechoice.com/pos/pos" class="btn btn-info"><i class="fa fa-arrow-left"></i>
                            Back</a> </td>
                    <td><button onclick="window.print();" class="btn btn-primary"><i class="dripicons-print"></i>
                            Print</button></td>
                </tr>
            </table>
            <br>
        </div>

        <div class="receipt-data">
            <div class="receipt-table">
                <table>
                    <tbody>
                        <tr>
                            @php
                            $trim = $lims_sale_data->reference_no;
                            $variable = substr($trim, strpos($trim, "-") + 1);
                            $variable = substr($variable, 0, strpos($variable, "-"));
                            @endphp
                            <td class="invoice_id">{{ $variable }}</td>
                            <td class="invoice_date">{{ date('d/m/Y', strtotime($lims_sale_data->created_at)) }}</td>
                        </tr>
                    </tbody>
                </table>
                <table class="car_table">
                    <tbody>
                        <tr>
                            <td class="current_date">{{ date('d/m/Y') }}</td>
                            <td class="car_no">{{$lims_customer_data->car_no}}</td>
                        </tr>
                    </tbody>
                </table>
                <table class="user_table">
                    <tbody>
                        <tr>
                            <td class="customer_name">{{$lims_customer_data->name}}</td>
                            <td class="customer_no">{{$lims_customer_data->phone_number}}</td>
                        </tr>
                    </tbody>
                </table>
                <table class="product_table">
                    <tbody>
                        @foreach($lims_product_sale_data as $product_sale_data)
                        @php
                        $lims_product_data = \App\Product::find($product_sale_data->product_id);
                        if($product_sale_data->variant_id) {
                        $variant_data = \App\Variant::find($product_sale_data->variant_id);
                        $product_name = $lims_product_data->name.' ['.$variant_data->name.']';
                        }
                        else
                        $product_name = $lims_product_data->name;
                        @endphp
                        <tr>
                            <td class="sr_no">{{ $loop->iteration }}</td>
                            <td class="product_name">{{ $product_name }}</td>
                            <td class="qty">{{ $product_sale_data->qty }}</td>
                            <td class="unit_price"> {{ number_format((float)($product_sale_data->total /
                                $product_sale_data->qty), 2, '.', '') }} </td>
                            <td class="product_price">{{
                                number_format((float)$product_sale_data->total, 2, '.', '') }}</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                <table class="grand_total_table">
                    @php
                    $payment_data = $lims_payment_data ? $lims_payment_data[0] : '';
                    @endphp
                    <tbody>
                        <tr>
                            <td class="grand_total_area"></td>
                            <td class="grand_total_sub_area" class="">{{
                                number_format((float)$lims_sale_data->grand_total, 2, '.', '') }}
                            </td>
                        </tr>
                        <tr>
                            <td class="grand_total_area"></td>
                            <td class="grand_total_sub_area">{{ $payment_data != '' ?
                                number_format((float)$payment_data->change,
                                2, '.', '') + number_format((float)$payment_data->amount, 2, '.', '') : 0 }}</td>
                        </tr>
                        <tr>
                            <td class="grand_total_area amount_in_word">{{str_replace("-"," ",$numberInWords)}}
                            </td>
                            <td class="grand_total_sub_area">{{ $payment_data != '' ?
                                number_format((float)$payment_data->change,
                                2, '.', '') : 0 }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function auto_print() {
            window.print()
        }
        setTimeout(auto_print, 1000);
    </script>

</body>

</html>